﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace _643345
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            radDropDownList1.Text = "";
            radDropDownList2.Text = "";
            radDropDownList3.Text = "";

            radDropDownList1.SelectedIndexChanged += radDropDownList1_SelectedIndexChanged;
            radDropDownList2.SelectedIndexChanged += radDropDownList2_SelectedIndexChanged;

            radDropDownList1.Items.Add("item 1");
            radDropDownList1.Items.Add("item 2");

            radDropDownList2.Enabled = false;
            radDropDownList3.Enabled = false;
        }


        void radDropDownList2_SelectedIndexChanged(object sender, Telerik.WinControls.UI.Data.PositionChangedEventArgs e)
        {
            if (e.Position < 0)
            {
                radDropDownList3.Enabled = false;
            }
            else 
            {
                switch (e.Position)
                {
                    case 0:
                        radDropDownList3.DataSource = new string[] { "DDL 3 item 1", "DDL 3 item 2", "DDL 3 item 3" };
                        break;
                    case 1:
                        radDropDownList3.DataSource = new string[] { "XXX", "YYY", "ZZZ" };
                        break;
                    case 2:
                        radDropDownList3.DataSource = new string[] { "AAA", "BBB", "CCC" };
                        break;
                }

                if (!radDropDownList3.Enabled)
                {
                    radDropDownList3.Enabled = true;
                    radDropDownList3.SelectedIndex = -1;
                }
            }
        }

        void radDropDownList1_SelectedIndexChanged(object sender, Telerik.WinControls.UI.Data.PositionChangedEventArgs e)
        {
            if (e.Position < 0)
            {
                radDropDownList2.Enabled = false;
            }
            else
            {
                switch (e.Position)
                {
                    case 0:
                        radDropDownList2.DataSource = new string[] { "one", "two", "three" };
                        break;
                    case 1:
                        radDropDownList2.DataSource = new string[] { "four", "five", "six" };
                        break;
                    case 2:
                        radDropDownList2.DataSource = new string[] { "seven", "eight", "nine" };
                        break;
                }

                if (!radDropDownList2.Enabled)
                {
                    radDropDownList2.Enabled = true;
                    radDropDownList2.SelectedIndex = -1;
                }
            }
        }
    }
}

